Page MenuHomePhabricator

[Dashboards] Add licensing info to repos
Closed, ResolvedPublic2 Estimate Story Points

Description

Our dashboards' source code is public and we've developed a lot of really cool features. It would be neat if our code had a proper license (e.g. ALv2 or MIT), so that people wouldn't be afraid of borrowing it if they how we've solved something they've been trying to.

Details

Related Gerrit Patches:
operations/puppet : productionAdd info to Discovery Dashboards index page
wikimedia/discovery/rainbow : developAdd licensing info
wikimedia/discovery/wetzel : developAdd licensing info
wikimedia/discovery/wonderbolt : developAdd licensing info
wikimedia/discovery/prince : developAdd licensing info
wikimedia/discovery/twilightsparql : developAdd licensing info

Event Timeline

mpopov created this task.Jun 14 2017, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 10:31 PM

@chelsyx and I are considering the MIT license but we have a question we're going to ask Legal about.

@chelsyx is it OK to also add "This page is available under the Creative Commons Attribution-ShareAlike License." to the footers of the index page & dashboards? We'd also include a link to the index page.

@mpopov I think it's a good idea! :D

debt triaged this task as Medium priority.Jun 20 2017, 8:08 PM

Aiming to update the index page to be:

Dashboards' footers would be updated to look like:

@chelsyx @debt @Slaporte: yes/no/maybe? :)

Looks good to me! :D

Change 360586 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/twilightsparql@develop] Add licensing info

https://gerrit.wikimedia.org/r/360586

Change 360588 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/prince@develop] Add licensing info

https://gerrit.wikimedia.org/r/360588

Change 360589 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/wonderbolt@develop] Add licensing info

https://gerrit.wikimedia.org/r/360589

Change 360590 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/wetzel@develop] Add licensing info

https://gerrit.wikimedia.org/r/360590

Change 360591 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/rainbow@develop] Add licensing info

https://gerrit.wikimedia.org/r/360591

Change 360592 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[operations/puppet@production] Add info to Discovery Dashboards index page

https://gerrit.wikimedia.org/r/360592

debt added a comment.Jun 21 2017, 2:42 PM

I'm good with it, if @Slaporte is! :)

Good job!

Good to go. Thanks!

Change 360586 merged by Chelsyx:
[wikimedia/discovery/twilightsparql@develop] Add licensing info

https://gerrit.wikimedia.org/r/360586

Change 360588 merged by Chelsyx:
[wikimedia/discovery/prince@develop] Add licensing info

https://gerrit.wikimedia.org/r/360588

Change 360589 merged by Chelsyx:
[wikimedia/discovery/wonderbolt@develop] Add licensing info

https://gerrit.wikimedia.org/r/360589

Change 360590 merged by Chelsyx:
[wikimedia/discovery/wetzel@develop] Add licensing info

https://gerrit.wikimedia.org/r/360590

Change 360591 merged by Chelsyx:
[wikimedia/discovery/rainbow@develop] Add licensing info

https://gerrit.wikimedia.org/r/360591

Will be deploying the homepage with the footer soon (https://gerrit.wikimedia.org/r/#/c/360592/ is ready to be +2'd/merged by Mr. G) but the deployed dashboards have the footers and the repos have the licenses.

debt closed this task as Resolved.Jun 23 2017, 8:54 PM

w00t!

Change 360592 merged by Gehel:
[operations/puppet@production] Add info to Discovery Dashboards index page

https://gerrit.wikimedia.org/r/360592